Bug 1122650 - [RFE] JSON and/or YAML structured output adapters
Summary: [RFE] JSON and/or YAML structured output adapters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: Unspecified
Assignee: Katello Bug Bin
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2014-07-23 17:09 UTC by Dominic Cleal
Modified: 2017-02-23 21:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:11:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6754 None None None 2016-04-22 16:30:45 UTC

Description Dominic Cleal 2014-07-23 17:09:26 UTC
Description of problem:
Hammer has CSV as a structured format output, but it's not a particularly well-defined format.  It would be preferable to have JSON and/or YAML structured outputs - probably simply returning the JSON from Foreman's API.

How reproducible:
Always

Steps to Reproduce:
1. hammer --output json domain list

Actual results:
separate lines, base formatter

Expected results:
{
    total: 1
    subtotal: 1
    page: 1
    per_page: 20
    search: null
    sort: {
        by: null
        order: null
    }
    results: [
        {
            id: 1
            name: "example.com"
            fullname: null
            dns_id: null
            created_at: "2014-07-07T14:50:06Z"
            updated_at: "2014-07-07T14:50:06Z"
        }
    ]
}

Comment 1 Dominic Cleal 2014-07-23 17:10:04 UTC
Created redmine issue http://projects.theforeman.org/issues/6754 from this bug

Comment 4 Bryan Kearney 2014-10-29 14:03:08 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6754 has been closed
-------------
Adam Ruzicka
Applied in changeset commit:07da5edc481b0d3ad8d668118b0ea7b3a59ecc19.

Comment 7 Elyézer Rezende 2015-03-09 16:49:57 UTC
Verified on: Satellite-6.1.0-RHEL-7-20150303.0

Steps to verify:

[root@sat6 ~]# hammer -u admin -p password --output json organization list
[
  {
    "Id": 1,
    "Name": "Default Organization",
    "Label": "Default_Organization",
    "Description": null
  }
]
[root@sat6 ~]# hammer -u admin -p password --output yaml organization list
---
- Id: 1
  Name: Default Organization
  Label: Default_Organization
  Description:

[root@sat6 ~]# hammer -u admin -p password --output json location list
[
  {
    "Id": 2,
    "Name": "Default Location"
  }
]
[root@sat6 ~]# hammer -u admin -p password --output yaml location list
---
- Id: 2
  Name: Default Location

Comment 8 Bryan Kearney 2015-08-11 13:34:13 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:11:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.